commit:     008d0f8ba86ba9a26c0d714afe8a59b64c924c4c
Author:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
AuthorDate: Wed Mar 31 14:06:06 2021 +0000
Commit:     Lars Wendler <polynomial-c <AT> gentoo <DOT> org>
CommitDate: Wed Mar 31 14:07:34 2021 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=008d0f8b

net-misc/htpdate: Bump to version 1.2.6

Signed-off-by: Lars Wendler <polynomial-c <AT> gentoo.org>

 net-misc/htpdate/Manifest             |  1 +
 net-misc/htpdate/htpdate-1.2.6.ebuild | 57 +++++++++++++++++++++++++++++++++++
 2 files changed, 58 insertions(+)

diff --git a/net-misc/htpdate/Manifest b/net-misc/htpdate/Manifest
index 376fc113e47..30cab06962d 100644
--- a/net-misc/htpdate/Manifest
+++ b/net-misc/htpdate/Manifest
@@ -1,2 +1,3 @@
 DIST htpdate-1.2.0.tar.gz 13618 BLAKE2B 
a94f08738d08c0caacc876d2e25e1dba43bbe371b0a31f957a1d5ff522b0ae5bd7bf5abcde63802843b1c32799e4cc38bacda657a9efb3a56a1eaccdb4f8c35c
 SHA512 
5447d54a54038cc3c33f7877410ae42022e01eb10a93bd79fe4937452a823c65c6bdb743213bc77a8506128d5b384e26812f1291a0ffa1aeafde0230c1b645d4
 DIST htpdate-1.2.2.tar.gz 13625 BLAKE2B 
11813def81e3cce1194120a21cf99e8ad288b0f604aab201850f03b6ca786d19792b9586c9d805aa1945bbc651e6afc5099b5c7cb6ea354473a4b3bab01397e3
 SHA512 
00d52b291004ddb3d0282aef78c5fbe5d9397dbf171a6646803ee7ba4bd0514af6089f7e48a92397dd1b0fbae5ba314f5165c9902028438e16d3516b65724de0
+DIST htpdate-1.2.6.tar.gz 15083 BLAKE2B 
913337f51fd26e811e33f195e463adc57e2512ba502f668f2429676d962623ea943bdb1d42ceddf6d35e7e8ba727b3f1300b34a8370ed661b3fa5b4b53ef1af7
 SHA512 
fe7442be5581eea0579060c02fb4ffe52151c6408d1b47afc9be049d2a8b1c8d0acd3b3481680a4b6a50f52622d47266afc0fe8dc67c5bb2a3aca2422e34f23f

diff --git a/net-misc/htpdate/htpdate-1.2.6.ebuild 
b/net-misc/htpdate/htpdate-1.2.6.ebuild
new file mode 100644
index 00000000000..03379020927
--- /dev/null
+++ b/net-misc/htpdate/htpdate-1.2.6.ebuild
@@ -0,0 +1,57 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+inherit flag-o-matic readme.gentoo-r1 toolchain-funcs
+
+DESCRIPTION="Synchronize local workstation with time offered by remote 
webservers"
+HOMEPAGE="https://github.com/angeloc/htpdate";
+if [[ "${PV}" == *9999 ]] ; then
+       inherit git-r3
+       EGIT_REPO_URI="https://github.com/angeloc/htpdate.git";
+else
+       
SRC_URI="https://github.com/angeloc/${PN}/archive/refs/tags/v${PV}.tar.gz -> 
${P}.tar.gz"
+       KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~mips ~ppc ~ppc64 ~s390 ~x86 
~amd64-linux ~x86-linux"
+fi
+IUSE="+ssl"
+LICENSE="GPL-2"
+SLOT="0"
+
+DEPEND="ssl? ( dev-libs/openssl:0= )"
+RDEPEND="${DEPEND}"
+BDEPEND="ssl? ( virtual/pkgconfig )"
+
+DOC_CONTENTS="If you would like to run htpdate as a daemon, set
+appropriate http servers in /etc/conf.d/htpdate!"
+
+PATCHES=( "${FILESDIR}/${PN}-1.2.6-ldlibs.patch" )
+
+src_prepare() {
+       default
+
+       # Use more standard adjtimex() to fix uClibc builds.
+       sed -i 's:ntp_adjtime:adjtimex:g' htpdate.[8c] || die
+       # Don't compress man pages by default
+       sed '/gzip/d' -i Makefile || die
+}
+
+src_compile() {
+       if use ssl ; then
+               append-cflags -DENABLE_HTTPS
+               export PKG_CONFIG="$(tc-getPKG_CONFIG)"
+       fi
+
+       emake CFLAGS="-Wall ${CFLAGS}" CC="$(tc-getCC)" \
+               $(usex ssl 'ENABLE_HTTPS=1' '')
+}
+
+src_install() {
+       emake DESTDIR="${D}" bindir='$(prefix)/sbin' install
+       dodoc README.md Changelog
+
+       newconfd "${FILESDIR}"/htpdate.conf htpdate
+       newinitd "${FILESDIR}"/htpdate.init-r1 htpdate
+
+       readme.gentoo_create_doc
+}

Reply via email to